--- title: "Create temporary credentials" slug: "management-sts-creatests" tags: ["Secure Token Service"] updated: 2026-09-17T10:05:35Z published: 2026-09-17T10:05:35Z canonical: "api.ncloud-docs.com/management-sts-creatests" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Create temporary credentials Available in Classic and VPC Create temporary credentials for a sub account using the Secure Token Service. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /api/v1/credentials | ### Request headers For information about the headers common to all Secure Token Service APIs, see [Secure Token Service request headers](/docs/en/management-sts#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `durationSec` | Integer | Optional | Access key validity time (second) - 600-43200 (default: 3600) | | `serialNumber` | String | Optional | Serial number - OTP device NRN \| MFA serial number | | `tokenCode` | Integer | Optional | OTP verification code | ### Request example The request example is as follows: ``` curl --location --request POST 'https://sts.apigw.ntruss.com/api/v1/credentials' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "durationSec": "43200" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `accessKey` | String | - | Access Key | | `keySecret` | String | - | Secret Key | | `createTime` | String | - | Creation date - ISO 8601 format | | `expireTime` | String | - | Expiration date - ISO 8601 format | | `useMfa` | Boolean | - | MFA authentication - `true` \| `false` - `true`: Authenticate - `false`: No authentication | ### Response status codes For information about the HTTP status codes common to all Secure Token Service APIs, see [Secure Token Service response status codes](/docs/en/management-sts#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "accessKey": "ncp_iam_***************", "keySecret": "ncp_iam_**********************", "createTime": "2024-10-10T16:58:28Z", "expireTime": "2024-10-10T17:58:28Z", "useMfa": false } ```